
;; ADCON
;[7]   Not used.
;[6:4] A/D C input select          000: select   an ADC0
;                                  001: select   an ADC1
;                                  010: select   an ADC2
;                                  011: select   an ADC3
;                                  100: select   an ADC4
;                                  101: select   an ADC5
;                                  110: select   an ADC6
;                                  111: select   an ADC7
;[3]   EOC (read-only)             0: Conversion is not completed.
;                                  1: This flag is set after conversion
;[2:1] Select the Conversion Speed 00: Step   clock = fxx/16.
;                                  01: Step   clock = fxx/8.
;                                  10: Step   clock = fxx/4.
;                                  11: Step   clock = fxx/1.
;[0]   ADSTR                       0: A/D conversion is disabled.
;                                  1: A/D conversion begins and is cleared after


boot:
	;FIX:	  clear interrupt flag
	ld a8, #iobase
	ld r0, 01110111b
	ldb [a8+#adcon]
adcwait:
	ldb r0, [a8+#adcon]
	tst r0, 08h
	brf adcwait
	ldw r0, [a8+#addatah]
	sr r0,1
	sr r0,1
	sr r0,1
	sr r0,1
	sr r0,1
	sr r0,1
	cmpge r0, 200h
	jpt 6100h
	jmp our_code	