MEMORY
{
   FLASH (RX) : ORIGIN = 0x000000, LENGTH = 512K
   DRAM : ORIGIN = 0x000000, LENGTH = 0x3F0000
}

SECTIONS
{
.data 0x2000 : { 
	_data_start = .;
	*(.data) 
	*(.rodata) 
	_data_size = . - _data_start;
	*(.bss)
	} > DRAM


.text 0x70100 : {
  *(.text) 
  _text_end = .;
} > FLASH

}