
#include "hwgmini.h"
#include "panic.h"
#include "lcd.h"
#include "stdlib.h"
#include "MMIO.h"
#include "sprintf.h"
#include "lcd_debug.h"

int counter = 0;


void timerInterrupt() {
  TACON |= 0x80; // re-enable the timer
  counter++;
}


int main() {
  dump_code((int*)0x3FC040, 5);
  
  lcd_debugf("Got in main!");
  installInterrupt(2, timerInterrupt);
  lcd_debugf("Yes! Go on...");
  lcd_init();
  char buffer[200];
  while (1) {
    lcd_clear_display();
    clear_watchdog();
    snprintf(buffer, 200, "timer = %d", counter);
    lcd_puts(0, 1, buffer);    
    lcd_update();
  }
}
