module Gem where


import Numeric
import Data.Bits

hex x = (showString "0x" . showHex x) ""

fromX x = (if x > 0x220000
	   then x - 0x220000 + 0x10000
	   else x - 0x200000) `div` 2


toX :: Int -> Int
toX x = bank .|. adr
    where bank | x >= 0x8000 = 0x220000 
	       | x < 0x8000 =  0x200000
	  adr = (x .&. 0x7FFF) * 2 + bank;
