/***************************************************************************
 *             __________               __   ___.
 *   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
 *   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
 *   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
 *   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
 *                     \/            \/     \/    \/            \/
 * $Id: fmradio_i2c.h,v 1.1.1.1 2005/01/07 17:06:47 jyp_7 Exp $
 * Physical interface of the Philips TEA5767 in Archos Ondio
 *
 * Copyright (C) 2004 by Jrg Hohensohn
 *
 * All files in this archive are subject to the GNU General Public License.
 * See the file COPYING in the source tree root for full license agreement.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 ****************************************************************************/
#ifndef FMRADIO_I2C_H
#define FMRADIO_I2C_H

int fmradio_i2c_write(int address, const unsigned char* buf, int count);
int fmradio_i2c_read(int address, unsigned char* buf, int count);

#endif
