
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "types.h"
#include "util.h"


void main() {

  
}

char *filebase;


int processAAZ( const char *file ) {
   u8 *aaz;
   int length;
   if( ( length = loadFile( file, &aaz ) ) == -1 )
      return -1;



   char *filename = new char[strlen( filebase ) + 5];
   sprintf( filename, "%s.%s", filebase, "aaz" );

   writeFile( filename, filenamechunk + 8, cleng - 8 );


   printf( "File: %s (0x%x bytes)\n", file, length );
   delete aaz;
   return 1;
}

int main( int argc, char **argv ) {
   int n = 1;
   if( argc < 2 )
      printf( "Usage: %s file.aaz ...]\n", argv[0] );
   else
      for( ; n < argc; ++n ) {
         filebase = basename( argv[n] );
         processAAZ( argv[n] );
         delete filebase;
      }
   return 0;
}
